org.apache.commons.cli

## Class AlreadySelectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.cli.ParseException
      - - org.apache.commons.cli.AlreadySelectedException

All Implemented Interfaces:
  Serializable

    public class AlreadySelectedException
    extends ParseException

Thrown when more than one option in an option group has been provided.

Version:
  $Id: AlreadySelectedException.java 1443102 2013-02-06 18:12:16Z tn $
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AlreadySelectedException(OptionGroup group, Option option)` Construct a new `AlreadySelectedException` for the specified option group.
`AlreadySelectedException(String message)` Construct a new `AlreadySelectedException` with the specified detail message.

### Method Summary

All Methods Instance Methods Concrete Methods
`Option` `getOption()` Returns the option that was added to the group and triggered the exception.
`OptionGroup` `getOptionGroup()` Returns the option group where another option has been selected.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlreadySelectedException

    public AlreadySelectedException(String message)

Construct a new `AlreadySelectedException` with the specified detail message.

Parameters:
  `message` - the detail message

#### AlreadySelectedException

    public AlreadySelectedException(OptionGroup group,
                                    Option option)

Construct a new `AlreadySelectedException` for the specified option group.

Parameters:
  `group` - the option group already selected
  `option` - the option that triggered the exception
Since:
  1.2

### Method Detail

#### getOptionGroup

    public OptionGroup getOptionGroup()

Returns the option group where another option has been selected.

Returns:
  the related option group
Since:
  1.2

#### getOption

    public Option getOption()

Returns the option that was added to the group and triggered the exception.

Returns:
  the related option
Since:
  1.2